> For the complete documentation index, see [llms.txt](https://faq.finerymarkets.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/algo-orders/delall-authorized.md).

# delAll (authorized)

Allows Master to cancel all of his subaccount's algo (GTC or Synthetic) orders. Might be applied to specific instrument only.

{% tabs %}
{% tab title="Payload" %}

```
POST /algo/order/delAll

{
  "instrument": "some instrument",
  "clientId": 123456
}

```

<table><thead><tr><th width="120.39996337890625">Parameter</th><th width="117.5999755859375">Type</th><th>Description</th></tr></thead><tbody><tr><td>instrument</td><td>string</td><td>Optional name of instrument.<br><strong>If provided</strong>: all client's GTC/Synthetic orders of this instrument will be cancelled.<br><strong>If not provided</strong>: all client's GTC/Synthetic orders will be cancelled</td></tr><tr><td>clientId</td><td>Efx::ClientId</td><td>Subaccount client ID whose orders are to be cancelled.<br>See <a href="/api-reference/data-types.md">Data Types</a>.</td></tr></tbody></table>

{% endtab %}

{% tab title="Response 200 OK" %}

```
{
    "removed": 2
}
```

<table><thead><tr><th width="229.99993896484375">Attribute</th><th width="108">Type</th><th>Description</th></tr></thead><tbody><tr><td>removed</td><td>int</td><td>Amount of removed orders</td></tr></tbody></table>

{% endtab %}

{% tab title="Response NoOK" %}

```
// in case of any unexpected error
{
    "error": 9,
    "errorDescription": [
        "Some description"
    ]
}
```

| Attribute        | Type           | Description                                                                                                                       |
| ---------------- | -------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| error            | Efx::ErrorCode | Operation result code. Possible values are in [List of Error Codes](/api-reference/troubleshooting-errors/list-of-error-codes.md) |
| errorDescription | string array   | List of strings describing observed errors                                                                                        |
| {% endtab %}     |                |                                                                                                                                   |
| {% endtabs %}    |                |                                                                                                                                   |
